## com.bbn.openmap.geo
Class ConvexHull.PivotAngleComparator

    java.lang.Object
      com.bbn.openmap.geo.ConvexHull.PivotAngleComparator

All Implemented Interfaces:
  java.util.Comparator, java.io.Serializable

Enclosing class:
  ConvexHull

protected static final class ConvexHull.PivotAngleComparator
extends java.lang.Object
implements java.util.Comparator, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ConvexHull.PivotAngleComparator(Geo pivot)`

Method Summary
`int` `compare(java.lang.Object obj1, java.lang.Object obj2)`
`boolean` `equals(java.lang.Object obj)`
`Geo` `getPivot()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvexHull.PivotAngleComparator

    public ConvexHull.PivotAngleComparator(Geo pivot)

Method Detail

### compare

    public int compare(java.lang.Object obj1,
                       java.lang.Object obj2)

  Specified by:
    `compare` in interface `java.util.Comparator`

### getPivot

    public Geo getPivot()

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Comparator`

### hashCode

    public int hashCode()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details